Gem::Specification.new do |s|
  s.name = %q{net-ssh}
  s.version = "1.0.8"
  s.date = %q{2006-02-18}
  s.summary = %q{Net::SSH is a pure-Ruby implementation of the SSH2 client protocol.}
  s.email = %q{jamis@37signals.com}
  s.homepage = %q{http://net-ssh.rubyforge.org}
  s.autorequire = %q{net/ssh}
  s.has_rdoc = true
  s.authors = ["Jamis Buck"]
  s.files = ["doc/LICENSE-BSD", "doc/LICENSE-GPL", "doc/LICENSE-RUBY", "doc/manual", "doc/manual-html", "doc/manual/chapter.erb", "doc/manual/example.erb", "doc/manual/index.erb", "doc/manual/manual.rb", "doc/manual/manual.yml", "doc/manual/page.erb", "doc/manual/parts", "doc/manual/stylesheets", "doc/manual/tutorial.erb", "doc/manual/parts/0000.txt", "doc/manual/parts/0001.txt", "doc/manual/parts/0002.txt", "doc/manual/parts/0003.txt", "doc/manual/parts/0004.txt", "doc/manual/parts/0005.txt", "doc/manual/parts/0006.txt", "doc/manual/parts/0007.txt", "doc/manual/parts/0008.txt", "doc/manual/parts/0009.txt", "doc/manual/parts/0010.txt", "doc/manual/parts/0011.txt", "doc/manual/parts/0012.txt", "doc/manual/parts/0013.txt", "doc/manual/parts/0014.txt", "doc/manual/parts/0015.txt", "doc/manual/parts/0016.txt", "doc/manual/parts/0017.txt", "doc/manual/parts/0018.txt", "doc/manual/parts/0019.txt", "doc/manual/parts/0020.txt", "doc/manual/parts/0021.txt", "doc/manual/parts/0022.txt", "doc/manual/parts/0023.txt", "doc/manual/parts/0024.txt", "doc/manual/parts/0025.txt", "doc/manual/parts/0026.txt", "doc/manual/parts/0027.txt", "doc/manual/parts/0028.txt", "doc/manual/parts/0029.txt", "doc/manual/parts/0030.txt", "doc/manual/parts/0031.txt", "doc/manual/stylesheets/manual.css", "doc/manual/stylesheets/ruby.css", "doc/manual-html/chapter-1.html", "doc/manual-html/chapter-2.html", "doc/manual-html/chapter-3.html", "doc/manual-html/chapter-4.html", "doc/manual-html/chapter-5.html", "doc/manual-html/chapter-6.html", "doc/manual-html/chapter-7.html", "doc/manual-html/index.html", "doc/manual-html/stylesheets", "doc/manual-html/stylesheets/manual.css", "doc/manual-html/stylesheets/ruby.css", "lib/net", "lib/net/ssh", "lib/net/ssh.rb", "lib/net/ssh/connection", "lib/net/ssh/errors.rb", "lib/net/ssh/proxy", "lib/net/ssh/service", "lib/net/ssh/session.rb", "lib/net/ssh/transport", "lib/net/ssh/userauth", "lib/net/ssh/util", "lib/net/ssh/version.rb", "lib/net/ssh/connection/channel.rb", "lib/net/ssh/connection/constants.rb", "lib/net/ssh/connection/driver.rb", "lib/net/ssh/connection/services.rb", "lib/net/ssh/connection/term.rb", "lib/net/ssh/proxy/errors.rb", "lib/net/ssh/proxy/http.rb", "lib/net/ssh/proxy/socks4.rb", "lib/net/ssh/proxy/socks5.rb", "lib/net/ssh/service/forward", "lib/net/ssh/service/process", "lib/net/ssh/service/services.rb", "lib/net/ssh/service/shell", "lib/net/ssh/service/forward/driver.rb", "lib/net/ssh/service/forward/local-network-handler.rb", "lib/net/ssh/service/forward/remote-network-handler.rb", "lib/net/ssh/service/forward/services.rb", "lib/net/ssh/service/process/driver.rb", "lib/net/ssh/service/process/open.rb", "lib/net/ssh/service/process/popen3.rb", "lib/net/ssh/service/process/services.rb", "lib/net/ssh/service/shell/driver.rb", "lib/net/ssh/service/shell/services.rb", "lib/net/ssh/service/shell/shell.rb", "lib/net/ssh/service/shell/sync.rb", "lib/net/ssh/transport/algorithm-negotiator.rb", "lib/net/ssh/transport/compress", "lib/net/ssh/transport/constants.rb", "lib/net/ssh/transport/errors.rb", "lib/net/ssh/transport/identity-cipher.rb", "lib/net/ssh/transport/kex", "lib/net/ssh/transport/ossl", "lib/net/ssh/transport/packet-stream.rb", "lib/net/ssh/transport/services.rb", "lib/net/ssh/transport/session.rb", "lib/net/ssh/transport/version-negotiator.rb", "lib/net/ssh/transport/compress/compressor.rb", "lib/net/ssh/transport/compress/decompressor.rb", "lib/net/ssh/transport/compress/none-compressor.rb", "lib/net/ssh/transport/compress/none-decompressor.rb", "lib/net/ssh/transport/compress/services.rb", "lib/net/ssh/transport/compress/zlib-compressor.rb", "lib/net/ssh/transport/compress/zlib-decompressor.rb", "lib/net/ssh/transport/kex/dh-gex.rb", "lib/net/ssh/transport/kex/dh.rb", "lib/net/ssh/transport/kex/services.rb", "lib/net/ssh/transport/ossl/buffer-factory.rb", "lib/net/ssh/transport/ossl/buffer.rb", "lib/net/ssh/transport/ossl/cipher-factory.rb", "lib/net/ssh/transport/ossl/digest-factory.rb", "lib/net/ssh/transport/ossl/hmac", "lib/net/ssh/transport/ossl/hmac-factory.rb", "lib/net/ssh/transport/ossl/key-factory.rb", "lib/net/ssh/transport/ossl/services.rb", "lib/net/ssh/transport/ossl/hmac/hmac.rb", "lib/net/ssh/transport/ossl/hmac/md5-96.rb", "lib/net/ssh/transport/ossl/hmac/md5.rb", "lib/net/ssh/transport/ossl/hmac/none.rb", "lib/net/ssh/transport/ossl/hmac/services.rb", "lib/net/ssh/transport/ossl/hmac/sha1-96.rb", "lib/net/ssh/transport/ossl/hmac/sha1.rb", "lib/net/ssh/userauth/agent.rb", "lib/net/ssh/userauth/constants.rb", "lib/net/ssh/userauth/driver.rb", "lib/net/ssh/userauth/methods", "lib/net/ssh/userauth/pageant.rb", "lib/net/ssh/userauth/services.rb", "lib/net/ssh/userauth/userkeys.rb", "lib/net/ssh/userauth/methods/hostbased.rb", "lib/net/ssh/userauth/methods/keyboard-interactive.rb", "lib/net/ssh/userauth/methods/password.rb", "lib/net/ssh/userauth/methods/publickey.rb", "lib/net/ssh/userauth/methods/services.rb", "lib/net/ssh/util/buffer.rb", "lib/net/ssh/util/openssl.rb", "lib/net/ssh/util/prompter.rb", "examples/channel-demo.rb", "examples/port-forward.rb", "examples/process-demo.rb", "examples/remote-net-port-forward.rb", "examples/remote-port-forward.rb", "examples/shell-demo.rb", "examples/ssh-client.rb", "examples/sync-shell-demo.rb", "examples/tail-demo.rb", "test/ALL-TESTS.rb", "test/connection", "test/proxy", "test/service", "test/tc_integration.rb", "test/transport", "test/userauth", "test/util", "test/connection/tc_channel.rb", "test/connection/tc_driver.rb", "test/connection/tc_integration.rb", "test/proxy/tc_http.rb", "test/proxy/tc_socks4.rb", "test/proxy/tc_socks5.rb", "test/service/forward", "test/service/process", "test/service/forward/tc_driver.rb", "test/service/forward/tc_local_network_handler.rb", "test/service/forward/tc_remote_network_handler.rb", "test/service/process/tc_driver.rb", "test/service/process/tc_integration.rb", "test/service/process/tc_open.rb", "test/service/process/tc_popen3.rb", "test/transport/compress", "test/transport/kex", "test/transport/ossl", "test/transport/tc_algorithm_negotiator.rb", "test/transport/tc_identity_cipher.rb", "test/transport/tc_integration.rb", "test/transport/tc_packet_stream.rb", "test/transport/tc_session.rb", "test/transport/tc_version_negotiator.rb", "test/transport/compress/tc_none_compress.rb", "test/transport/compress/tc_none_decompress.rb", "test/transport/compress/tc_zlib_compress.rb", "test/transport/compress/tc_zlib_decompress.rb", "test/transport/kex/tc_dh.rb", "test/transport/kex/tc_dh_gex.rb", "test/transport/ossl/fixtures", "test/transport/ossl/hmac", "test/transport/ossl/tc_buffer.rb", "test/transport/ossl/tc_buffer_factory.rb", "test/transport/ossl/tc_cipher_factory.rb", "test/transport/ossl/tc_digest_factory.rb", "test/transport/ossl/tc_hmac_factory.rb", "test/transport/ossl/tc_key_factory.rb", "test/transport/ossl/fixtures/dsa-encrypted", "test/transport/ossl/fixtures/dsa-encrypted-bad", "test/transport/ossl/fixtures/dsa-unencrypted", "test/transport/ossl/fixtures/dsa-unencrypted-bad", "test/transport/ossl/fixtures/dsa-unencrypted.pub", "test/transport/ossl/fixtures/not-a-private-key", "test/transport/ossl/fixtures/not-supported", "test/transport/ossl/fixtures/rsa-encrypted", "test/transport/ossl/fixtures/rsa-encrypted-bad", "test/transport/ossl/fixtures/rsa-unencrypted", "test/transport/ossl/fixtures/rsa-unencrypted-bad", "test/transport/ossl/fixtures/rsa-unencrypted.pub", "test/transport/ossl/hmac/tc_hmac.rb", "test/transport/ossl/hmac/tc_md5.rb", "test/transport/ossl/hmac/tc_md5_96.rb", "test/transport/ossl/hmac/tc_none.rb", "test/transport/ossl/hmac/tc_sha1.rb", "test/transport/ossl/hmac/tc_sha1_96.rb", "test/userauth/methods", "test/userauth/tc_agent.rb", "test/userauth/tc_driver.rb", "test/userauth/tc_integration.rb", "test/userauth/tc_userkeys.rb", "test/userauth/methods/tc_hostbased.rb", "test/userauth/methods/tc_password.rb", "test/userauth/methods/tc_publickey.rb", "test/util/tc_buffer.rb"]
  s.test_files = ["test/ALL-TESTS.rb"]
  s.add_dependency(%q<needle>, [">= 1.2.0"])
end
